/*********************************************************************/
/* tclparse V2.00 from 14.March 1997                                 */
/* Copyright 1996/97 Stephan Weiss, Heiko Grossmann                  */
/*                   University of Stuttgart, Germany                */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/* main source of the tclscan program                                */
/*                                                                   */
/*********************************************************************/

#include <iostream.h>
#include "../include/display.h"
#include "../include/parsing.h"


int main( int argc, char *argv[] )
{
  //Eine Startmeldung ausgeben.
  display.Title( "TCLSCAN: build information files for TCLPARSE" );

  //Fehler: Es wurde kein Dateiname angegeben.
  if( argc == 1 )
    {
      cout << "error: there were no filenames specified\n\n"
	   << "synopsis: scan  file1.tcl  ? file2.tcl ... ?\n"
	   << "                  |            |\n"
	   << "                  |            |\n"
	   << "                 \\|/          \\|/\n"
	   << "          file1.tcl.ini    file2.tcl.ini ...\n\n";
      exit( 0 );
    }

  //Alle angegebenen Argumente werden als Dateinamen interpretiert. Die Dateien
  //werden nacheinander gescannt.
  for( int index=1 ; index < argc ; index++ )
    {
      //Die Datei scannen.
      ScanFile( argv[ index ] );
    }
  return 1;
}
